RTEMS: Fatal

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Data Structures | Typedefs | Functions
Fatal
API » Classic

The Fatal Manager provides functions for fatal system states and or irrecoverable errors. More...

## Files
file | fatal.c
| Invokes the internal error handler with a source of INTERNAL_ERROR_RTEMS_API and is internal set to false.
file | fatalsrctext.c
| Implementation of rtems_fatal_source_text()
file | interrtext.c
| Returns a text for an internal error code.

## Data Structures
struct | rtems_assert_context
| Assert context. More...

## Typedefs
typedef CPU_Exception_frame | rtems_exception_frame
| Exception frame.

## Functions
void | rtems_fatal_error_occurred (uint32_t the_error) RTEMS_NO_RETURN
| Invokes the internal error handler with a source of INTERNAL_ERROR_RTEMS_API and is internal set to false.
RTEMS_NO_RETURN RTEMS_INLINE_ROUTINE void | rtems_fatal (rtems_fatal_source fatal_source, rtems_fatal_code error_code)
| Terminates the system.
RTEMS_NO_RETURN void | rtems_panic (const char *fmt,...) RTEMS_PRINTFLIKE(1
| Prints the specified message via printk() and terminates the system.
RTEMS_NO_RETURN void const char * | rtems_fatal_source_text (rtems_fatal_source source)
| Returns a text for a fatal source.
const char * | rtems_internal_error_text (rtems_fatal_code error)
| Returns a text for an internal error code.

## Detailed Description

The Fatal Manager provides functions for fatal system states and or irrecoverable errors.

## Function Documentation

## ◆ rtems_fatal()

RTEMS_NO_RETURN RTEMS_INLINE_ROUTINE void rtems_fatal | ( | rtems_fatal_source | fatal_source,
|  | rtems_fatal_code | error_code
| ) |  |

Terminates the system.

Parameters

  [in] | fatal_source | The fatal source.
  [in] | error_code | The error code.

See also
  _Terminate().

## ◆ rtems_fatal_error_occurred()

void rtems_fatal_error_occurred | ( | uint32_t | the_error | ) |

Invokes the internal error handler with a source of INTERNAL_ERROR_RTEMS_API and is internal set to false.

Parameters

  [in] | the_error | is a 32-bit fatal error code.

See also
  _Terminate().

## ◆ rtems_fatal_source_text()

RTEMS_NO_RETURN void const char * rtems_fatal_source_text | ( | rtems_fatal_source | source | ) |

Returns a text for a fatal source.

The text for each fatal source is the enumerator constant.

Parameters

  [in] | source | is the fatal source.

Return values

  text | The fatal source text.
  ? | The passed fatal source is invalid.

## ◆ rtems_internal_error_text()

const char * rtems_internal_error_text | ( | rtems_fatal_code | error | ) |

Returns a text for an internal error code.

The text for each internal error code is the enumerator constant.

Parameters

  [in] | error | is the error code.

Return values

  text | The error code text.
  ? | The passed error code is invalid.

## ◆ rtems_panic()

RTEMS_NO_RETURN void rtems_panic | ( | const char * | fmt,
|  |  | ...
| ) |  |

Prints the specified message via printk() and terminates the system.

Parameters

  [in] | fmt | The message format.
  [in] | ... | The message parameters.

See also
  _Terminate().